Sera que é Problemas com o Maven

34 views
Skip to first unread message

Robson C

unread,
Nov 18, 2020, 10:36:44 AM11/18/20
to JRimum Community
Prezados boa tarde, 

Então eu voltando a um projeto que preciso implementar outro banco, já existia o Itau e Bradesco agora preciso do Santander, este projeto estava parado porque não precisava de mais atualizações até que surgiu esta então voltando a ativa estou encontrando problemas não com a lib Bopepo mais com o maven.

Se não é com a lib então qual o motivo? bem é que dois dias e não consegui evoluir, sempre da problema com o Maven já nem sei o que fazer se alguém puder me ajudar.... já removi tudo da pasta .m2, já instalei o maven na maquina e configurei o eclipse mais de nada adiantou 

o meu projeto é bem simples, vou por o pom.xml abaixo e uma imagem da tela do eclipse

Se alguém puder me ajudar, algum comentário ... porque nem sei o que posso fazer, até de outra maquina já tentei.

há um detalhe que pode ser relevante, estou usando java 6 porque é um projeto antigo , e sim eu tenho os jar´s do bopepo! porque eu peguei de uma outra maquina onde fui no repositorio local do maven e copiei ele para a maquina que desenvolvo atualmente agora se eu apagar tudo, tudo da pasta .m2 e forçar o maven 

não vem nda!!!! dos jar´s nada apenas estes arquivos
um exemplo na pasta 
jrimum-bopepo/0.2.3-DEV-SNAPSHOT  só vem estes arquivos abaixo, por isto copiei os arquivos de outra maquina mais ai já não sei se o problema é o maven ou outra coisa

_maven.repositories
jrimum-bopepo-0.2.3-DEV-20190203.192336-60.pom
jrimum-bopepo-0.2.3-DEV-20190203.192336-60.pom.sha1
jrimum-bopepo-0.2.3-DEV-SNAPSHOT.pom
maven-metadata-jrimum.org.xml.sha1
resolver-status.properties


meu pom 
<?xml version="1.0" encoding="UTF-8"?>
<modelVersion>4.0.0</modelVersion>
<groupId>br.com.dominio.boleto</groupId>
<artifactId>Boleto</artifactId>
<version>1.0.0</version>
<name>Boleto</name>
<description>Gerar boletos</description>

<properties>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
<bopepo.version>0.2.3-SNAPSHOT</bopepo.version>
<bopepo-dev.version>0.2.3-DEV-SNAPSHOT</bopepo-dev.version>
</properties>

<repositories>
<repository>
<id>jrimum.org</id>
<snapshots>
<enabled>true</enabled>
</snapshots>
</repository>
</repositories>


<dependencies>
<dependency>
<groupId>org.jrimum</groupId>
<artifactId>jrimum-bopepo</artifactId>
<version>${bopepo-dev.version}</version>
</dependency>
<dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
            <version>1.4</version>
        </dependency>
                
</dependencies>
<build>
<finalName>Boleto</finalName>
<resources>
<resource>
<directory>src/main/resources</directory>
<excludes>
<exclude>**/*.odt</exclude>
</excludes>
</resource>
</resources>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
<version>3.1</version>
<configuration>
<source>1.6</source>
<target>1.6</target>
</configuration>
</plugin>
<plugin>
<artifactId>maven-assembly-plugin</artifactId>
<version>2.4</version>
<configuration>
<descriptors>
<descriptor>src/main/assembly/boleto-with-dependencies.xml</descriptor>
                    </descriptors>
<descriptorRefs>
<descriptorRef>jar-with-dependencies</descriptorRef>
</descriptorRefs>
</configuration>
<executions>
<execution>
<id>make-my-jar-with-dependencies</id>
<phase>package</phase>
<goals>
<goal>single</goal>
</goals>
</execution>
</executions>
</plugin>
</plugins>
</build>
</project>


projeto Boleto.jpg

Alyesson Sousa

unread,
Nov 18, 2020, 5:35:57 PM11/18/20
to jrimum-c...@googlegroups.com
Olá,

Pelo vi naquela mensagem de erro, o Eclipse ta dizendo que precisa de https, e vc colocou http apenas....tenta colocar o s no http e refaz de novo pra ver

--
--
Você recebeu esta mensagem porque está inscrito no Grupo "JRimum
Community" nos Grupos do Google.
Para postar neste grupo, envie um e-mail para
jrimum-c...@googlegroups.com
ANTES DE POSTAR... leia:
https://groups.google.com/d/topic/jrimum-community/ULU8QHHgaBs/discussion
Para cancelar a sua inscrição neste grupo, envie um e-mail para
jrimum-communi...@googlegroups.com
Para ver mais opções, visite este grupo em
http://groups.google.com/group/jrimum-community?hl=pt-BR?hl=pt-BR

---
Você recebeu essa mensagem porque está inscrito no grupo "JRimum Community" dos Grupos do Google.
Para cancelar inscrição nesse grupo e parar de receber e-mails dele, envie um e-mail para jrimum-communi...@googlegroups.com.
Para ver essa discussão na Web, acesse https://groups.google.com/d/msgid/jrimum-community/1d71e21a-c97d-4afd-9040-a46dd9439a2bn%40googlegroups.com.

Robson C

unread,
Nov 18, 2020, 7:45:13 PM11/18/20
to JRimum Community
OLá meu caro boa noite, sim realmente vi isto mais .... cara apesar da mensagem nunca vi https no Maven bem mais vou ver vai que rola

Robson C

unread,
Nov 18, 2020, 7:51:50 PM11/18/20
to JRimum Community
Olá meu nobre eu de novo , olha realmente procurei por "maven https" e já achei uma pergunta feita este ano la no stack


Cara apesar de trabalhar com java, estou hoje voltado para o Ionic e android mais tava totalmente por fora disto, bem agora deve ir, postarei aqui algo mais hoje num da mais tô quebrado.


Em quarta-feira, 18 de novembro de 2020 às 19:35:57 UTC-3, alye...@gmail.com escreveu:

Robson C

unread,
Nov 19, 2020, 9:42:26 AM11/19/20
to JRimum Community
é meu caro, fiz as alterações no meu pom que ficou assim ( abaixo ) mais mesmo assim não baixa as dependencias do bopepo com certeza ( suposição ) algo precise ser alterado mais o que?

Alguem esta tendo o mesmo problema? 

<modelVersion>4.0.0</modelVersion>
<groupId>br.com.dominio.boleto</groupId>
<artifactId>Boleto</artifactId>
<version>1.0.0</version>
<name>Boleto</name>
<description>Gerar boletos</description>

<properties>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
<bopepo.version>0.2.3-SNAPSHOT</bopepo.version>
<bopepo-dev.version>0.2.3-DEV-SNAPSHOT</bopepo-dev.version>
</properties>

<pluginRepositories>
<pluginRepository>
<id>central</id>
<name>Central Repository</name>
<layout>default</layout>
<snapshots>
<enabled>false</enabled>
</snapshots>
<releases>
<updatePolicy>never</updatePolicy>
</releases>
</pluginRepository>
</pluginRepositories>

<repositories>

<repository>
<id>central</id>
<name>Central Repository</name>
<url>https://repo.maven.apache.org/maven2</url> <!-- the https you've been looking for -->
<layout>default</layout>
<snapshots>
<enabled>false</enabled> <!-- or set to true if desired, default is false -->
</snapshots>
</repository>

<repository>
<id>jrimum.org</id>
<snapshots>
<enabled>true</enabled>
</snapshots>
</repository>
</repositories>

<dependencies>
<dependency>
<groupId>org.jrimum</groupId>
<artifactId>jrimum-bopepo</artifactId>
<version>${bopepo-dev.version}</version>
</dependency>

<!-- <dependency> <groupId>commons-io</groupId> <artifactId>commons-io</artifactId> 
<version>1.4</version> </dependency> -->

<dependency>
<groupId>commons-io</groupId>
<artifactId>commons-io</artifactId>
<version>2.7</version>
</dependency>


<dependency>
<groupId>org.apache.commons</groupId>
<artifactId>commons-lang3</artifactId>
<version>3.9</version>
Em quarta-feira, 18 de novembro de 2020 às 19:35:57 UTC-3, alye...@gmail.com escreveu:

Rafael Piai Pimenta

unread,
Nov 19, 2020, 11:09:06 AM11/19/20
to JRimum Community
Boa tarde,

Recentemente formatei o meu note, e passei por esse problema.
Não estou recordando 100%, mas eu tentei várias formas, para alterar para https, mas a que realmente funcionou, foi atualizar o maven para a versão 3.6.3.

Robson C

unread,
Nov 19, 2020, 2:41:05 PM11/19/20
to JRimum Community
Olá boa tarde, 

Cara eu uso a 3.6.1 , tentei por esta , tentei criando um novo projeto no eclipse e utilizando o embeded, será qterei que baixar o 3.6.3 ?
ou abandonar o maven e partir para criar projetos sem maven? é o que eu já estou ponderando.

Rafael Piai Pimenta

unread,
Nov 19, 2020, 2:47:56 PM11/19/20
to JRimum Community
Acho que vale tentar com a 3.6.3. Fazer na mão é triste heheheh.
Estou tentando lembrar se fiz algo mais, mas acho que no fim das contas, foi atualizar mesmo a versão do maven

Robson C

unread,
Nov 19, 2020, 2:52:42 PM11/19/20
to JRimum Community
Ok meu caro, vou baixar, espero ter sucesso já dois dias e num consegui mexer no projeto, por isto já estava pensando em não usar o maven, mais valeu

Solerman Kaplon

unread,
Nov 19, 2020, 2:54:47 PM11/19/20
to jrimum-c...@googlegroups.com

Mas ai rodar a compilação com o maven, que erro que dá? Ele só vai baixar as dependências se rodar no modo online. Ex: em linha de comando

mvn clean install

Robson C

unread,
Nov 19, 2020, 3:01:15 PM11/19/20
to JRimum Community
Olá boa tarde, então meu mais eu nem estou conseguindo configurar o projeto quem dera compilar, os erros estão ai no primeiro post, bem estou baixando o maven na ultima versão e vamos ver o que da.

Solerman Kaplon

unread,
Nov 20, 2020, 5:56:00 AM11/20/20
to jrimum-c...@googlegroups.com
Para o maven, o pom.xml é o projeto. Deve ser só o eclipse incomodando com o suporte meia boca de maven dele, roda via linha de comando pra ver. Depois que compilar via linha de comando vc pode procurar um plugin para gerar o projeto eclipse a partir do maven, acho que é assim que o pessoal usa (eu não uso eclipse, então não tenho certeza).

Robson C

unread,
Nov 20, 2020, 2:29:36 PM11/20/20
to JRimum Community
Prezados eu realmente atualizei o mavem de minha maquina mais não deu certo, não deu não sei dizer ai o motivo podem ser tantos....
exemplo o mavem atual precisa do java mais atual o meu projeto é em java 6 .... e ai bem o que deu certo foi fazer outro projeto , um novo vazio e coloquei as dependências no pom, adicionei as classes do projeto original

Como estou com o maven atualizado e um novo projeto este esta configurado ( o Eclipse ) para o java 8 no pom coloquei a configuração para compilar com o java 6 

Ok o projeto agora baixou as dependências coisa que não estava fazendo.....,  mais ainda não fiz o build

Robson C

unread,
Nov 22, 2020, 4:51:43 PM11/22/20
to JRimum Community
Prezados consegui, agora meu projeto ta funfando blz e dai vou iniciar o trabalho que é implementar o boleto do Santander aos que me auxiliaram ai obrigado pela força, o que eu fiz foi atualizar o meu Maven conforme orientação do colega Rafael e meu pom.xml ficou desta forma, há detalhe não sei o motivo mais eu tive que criar um projeto novo, zerado e só adicionei as minhas classes segue o meu pom pode ser que sirva ai de auxilio 

<?xml version="1.0" encoding="UTF-8"?>

<modelVersion>4.0.0</modelVersion>

<groupId>br.com.dominio</groupId>
<artifactId>maker-bopepo</artifactId>
<version>1.0.0</version>

<name>maker-bopepo</name>

<properties>
<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
<bopepo.version>0.2.3-SNAPSHOT</bopepo.version>
<bopepo-dev.version>0.2.3-DEV-SNAPSHOT</bopepo-dev.version>
<maven.compiler.source>1.6</maven.compiler.source>
<maven.compiler.target>1.6</maven.compiler.target>
</properties>

<repositories>
<repository>
<id>jrimum.org</id>
<snapshots>
<enabled>true</enabled>
</snapshots>
</repository>
</repositories>

<dependencies>
<!-- bopepo -->
<dependency>
<groupId>org.jrimum</groupId>
<artifactId>jrimum-bopepo</artifactId>
<version>${bopepo-dev.version}</version>
</dependency>

<dependency>
<groupId>commons-io</groupId>
<artifactId>commons-io</artifactId>
<version>2.6</version>
</dependency>

<dependency>
<groupId>junit</groupId>
<artifactId>junit</artifactId>
<version>4.11</version>
<scope>test</scope>
</dependency>
</dependencies>

<build>
<finalName>Boleto</finalName>

<resources>
<resource>
<directory>src/main/resources</directory>
<excludes>
<exclude>**/*.odt</exclude>
</excludes>
</resource>
</resources>

<pluginManagement><!-- lock down plugins versions to avoid using Maven 
defaults (may be moved to parent pom) -->
<plugins>
<plugin>
<groupId>org.eclipse.m2e</groupId>
<artifactId>lifecycle-mapping</artifactId>
<version>1.0.0</version>
<configuration>
<lifecycleMappingMetadata>
<pluginExecutions>
<pluginExecution>
<pluginExecutionFilter>
<groupId>
org.apache.maven.plugins
</groupId>
<artifactId>
maven-toolchains-plugin
</artifactId>
<versionRange>
[1.1,)
</versionRange>
<goals>
<goal>toolchain</goal>
</goals>
</pluginExecutionFilter>
<action>
<ignore></ignore>
</action>
</pluginExecution>
</pluginExecutions>
</lifecycleMappingMetadata>
</configuration>
</plugin>

<plugin>
<artifactId>maven-clean-plugin</artifactId>
<version>3.1.0</version>
</plugin>
<plugin>
<artifactId>maven-resources-plugin</artifactId>
<version>3.0.2</version>
</plugin>
<plugin>
<artifactId>maven-compiler-plugin</artifactId>
<version>3.8.0</version>
</plugin>
<plugin>
<artifactId>maven-surefire-plugin</artifactId>
<version>2.22.1</version>
</plugin>
<plugin>
<artifactId>maven-jar-plugin</artifactId>
<version>3.0.2</version>
</plugin>
<plugin>
<artifactId>maven-install-plugin</artifactId>
<version>2.5.2</version>
</plugin>
<plugin>
<artifactId>maven-deploy-plugin</artifactId>
<version>2.8.2</version>
</plugin>
<plugin>
<artifactId>maven-site-plugin</artifactId>
<version>3.7.1</version>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-toolchains-plugin</artifactId>
<version>1.1</version>
</plugin>
<plugin>
<artifactId>maven-project-info-reports-plugin</artifactId>
<version>3.0.0</version>
</plugin>
</plugins>
</pluginManagement>

<plugins>
<!-- -->
<plugin>
<artifactId>maven-resources-plugin</artifactId>
<configuration>
<encoding>${project.build.sourceEncoding}</encoding>
</configuration>
</plugin>
<!-- -->
<plugin>
<artifactId>maven-compiler-plugin</artifactId>
<configuration>
<source>1.6</source>
<target>1.6</target>
</configuration>
</plugin>
<!-- -->
<plugin>
<artifactId>maven-toolchains-plugin</artifactId>
<executions>
<execution>
<goals>
<goal>toolchain</goal>
</goals>
</execution>
</executions>
<configuration>
<toolchains>
<jdk>
<version>1.6</version>
<vendor>sun</vendor>
</jdk>
</toolchains>
</configuration>
</plugin>
<!-- -->
<plugin>
<artifactId>maven-assembly-plugin</artifactId>
Reply all
Reply to author
Forward
0 new messages